<html>
<head>
<title>OgreShaderSubRenderState.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_1ff0a99c786b1c34b8d04ba7e7285590.html">RTShaderSystem</a>      </li>
      <li class="navelem"><a class="el" href="dir_167378df2bdccc9b313fc91c17987f1d.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">OgreShaderSubRenderState.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgreShaderPrerequisites_8h_source.html">OgreShaderPrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreGpuProgram_8h_source.html">OgreGpuProgram.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMaterialSerializer_8h_source.html">OgreMaterialSerializer.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreShaderScriptTranslator_8h_source.html">OgreShaderScriptTranslator.h</a>&quot;</code><br/>
</div>
<p><a href="OgreShaderSubRenderState_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1SubRenderState.html">Ogre::RTShader::SubRenderState</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class is the base interface of sub part from a shader based rendering pipeline.  <a href="classOgre_1_1RTShader_1_1SubRenderState.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1SubRenderStateAccessor.html">Ogre::RTShader::SubRenderStateAccessor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class uses as accessor from a template <a class="el" href="classOgre_1_1RTShader_1_1SubRenderState.html" title="This class is the base interface of sub part from a shader based rendering pipeline.">SubRenderState</a> to all of its instances that created based on it.  <a href="classOgre_1_1RTShader_1_1SubRenderStateAccessor.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1SubRenderStateFactory.html">Ogre::RTShader::SubRenderStateFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract factory interface for creating <a class="el" href="classOgre_1_1RTShader_1_1SubRenderState.html" title="This class is the base interface of sub part from a shader based rendering pipeline.">SubRenderState</a> implementation instances.  <a href="classOgre_1_1RTShader_1_1SubRenderStateFactory.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre_1_1RTShader.html">Ogre::RTShader</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr<br class="typebreak"/>
&lt; SubRenderStateAccessor &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gaecbe3817ee5b43f1962309c03d39da99">Ogre::RTShader::SubRenderStateAccessorPtr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector&lt; SubRenderState * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga279d48a1cabb619e85aba3c931e71b33">Ogre::RTShader::SubRenderStateList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
SubRenderStateList::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga95497cc30a987c52f4159875824faa54">Ogre::RTShader::SubRenderStateListIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
SubRenderStateList::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga77f0abdb5d584c610fa03cf238295898">Ogre::RTShader::SubRenderStateListConstIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef set&lt; SubRenderState * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga80ca8b84f487bd915b32ae12159a0131">Ogre::RTShader::SubRenderStateSet</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SubRenderStateSet::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#gab67a8756fb7f065af7052ef1fb14b1ec">Ogre::RTShader::SubRenderStateSetIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
SubRenderStateSet::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RTShader.html#ga00d3d84afe3e5e75ca3fe1050c2fd29a">Ogre::RTShader::SubRenderStateSetConstIterator</a></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
